%define module	Class-AutoClass
%define name	perl-%{module}
%define version 0.09
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Yet another OO helper
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/C/CC/CCAVNOR/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/~ccavnor/Class-AutoClass
BuildRoot:	%{_tmppath}/%{name}-buildroot/
BuildArch:	noarch
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif

%description
This perl module brings the following advantages:
- get and set methods for simple attributes can be automatically
  generated
- argument lists are handled as described below
- the protocol for object creation and initialization is close to
  the 'textbook' approach generally suggested for object-oriented Perl
  (see below)
- object initialization is handled correctly in the presence of multiple
  inheritance

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc Changes INSTALL
%{perl_vendorlib}/Class
%{_mandir}/*/*

%changelog
* Mon Jan 17 2005 Guillaume Rousse <guillomovitch@mandrake.org> 0.09-1mdk 
- first mdk release
